from ui.editor import Editor


class Resistance_Step_Editor(Editor):
    def __init__(self, action=None, cell_widget=None):
        super().__init__(action=action, cell_widget=cell_widget)
        self.spec.update({
            "scale": self.scale_dsb,
            "expected": self.expected_dsb,
            "tolerance_pos": self.tolerance_pos_dsb,
            "tolerance_neg": self.tolerance_neg_dsb,
        })
